Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Static Public Member Functions
tlp::ControllerPluginsManager Class Reference

Controller plugins manager. More...

`#include <ControllerPluginsManager.h>`

Collaboration diagram for tlp::ControllerPluginsManager:
[legend]

List of all members.

## Public Member Functions

- void loadPlugins (PluginLoader *plug=NULL)
- bool controllerExists (const std::string &name)
- Controller * createController (const std::string &name)

## Static Public Member Functions

- static ControllerPluginsManager & getInst ()

## Detailed Description

Controller plugins manager.

Controller plugins manager

## Member Function Documentation

bool tlp::ControllerPluginsManager::controllerExists | ( | const std::string & | name | ) |

return if the Controller with given name exist

Controller* tlp::ControllerPluginsManager::createController | ( | const std::string & | name | ) |

return Controller with given name

static ControllerPluginsManager& tlp::ControllerPluginsManager::getInst | ( |  | ) | `[inline, static]`

void tlp::ControllerPluginsManager::loadPlugins | ( | PluginLoader * | plug = `NULL` | ) |

Tulip Software by LaBRI Visualization Team 2001 - 2012